﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using pruebaAdresApi.Data;

#nullable disable

namespace pruebaAdresApi.Migrations
{
    [DbContext(typeof(AppDbContext))]
    [Migration("20240511151443_Initials")]
    partial class Initials
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "7.0.18");

            modelBuilder.Entity("pruebaAdresApi.Models.Adquisicion", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<int>("Catidad")
                        .HasColumnType("INTEGER");

                    b.Property<string>("Documentacion")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.Property<DateTime>("FechaAdquisicion")
                        .HasColumnType("TEXT");

                    b.Property<int>("Presupuesto")
                        .HasColumnType("INTEGER");

                    b.Property<string>("Tipo")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.Property<string>("Unidad")
                        .IsRequired()
                        .HasColumnType("TEXT");

                    b.Property<int>("ValorTotal")
                        .HasColumnType("INTEGER");

                    b.Property<int>("ValorUnit")
                        .HasColumnType("INTEGER");

                    b.HasKey("Id");

                    b.ToTable("Adquisicions");
                });
#pragma warning restore 612, 618
        }
    }
}
